complexType "LegalEntity"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | entityName?, entityId*
</...>

Content Model Elements (2):

  entityId, entityName

All Direct / Indirect Based Elements (11):

  borrower,
  excludedReferenceEntity,
  guarantor,
  insurer,
  primaryObligor,
  referenceEntity (defined in CreditEntity.model group),
  referenceEntity (defined in CreditEventNoticeDocument complexType),
  referenceEntity (defined in TradeUnderlyer complexType),
  referenceEntity (in referenceInformation),
  referenceEntity (in referencePair),
  referenceEntity (in underlyer defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (11):
  borrower,
  excludedReferenceEntity,
  guarantor,
  insurer,
  primaryObligor,
  referenceEntity (defined in CreditEntity.model group),
  referenceEntity (defined in CreditEventNoticeDocument complexType),
  referenceEntity (defined in TradeUnderlyer complexType),
  referenceEntity (in referenceInformation),
  referenceEntity (in referencePair),
  referenceEntity (in underlyer defined in GenericProduct complexType)

Annotation
A type defining a legal entity.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="LegalEntity"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="entityName" type="EntityName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="entityId" type="EntityId"/> </xsd:sequence> <!--View Generation: SKIPPED entityId - Technical--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
entityId

  Type: | EntityId, simple content

  A legal entity identifier (e.g. RED entity code).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="entityId" type="EntityId"/>

entityName

  Type: | EntityName, simple content

  The name of the reference entity. A free format string. FpML does not define usage rules for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entityName" type="EntityName"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.